
(*  Title:      BasicGCMLemmas.thy
    Author:     Ludovic Henrio 
                2010
    Note:           a few basic GCM lemmas    *)

header {* GCM Component basic lemmas *}


theory BasicGCMLemmas imports GCM 
begin


subsection{*structural lemmas*}
lemma length_upd[simp]: "length (CL<-C) = length CL"
apply (induct_tac CL); 
apply auto;
done;

lemma EnqueueSameName[simp]: 
  " getName (C \<leftarrow>R) = getName C"
apply (case_tac C)
apply auto;
done;

end;
